"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1078ae700>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1078ae790>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1078ae820>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1078ae8b0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1078ae940>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1078ae9d0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1078aea60>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1078aeaf0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1078aeb80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1078aec10>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1078aeca0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1078aed30>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1078aedc0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1078aee50>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1078aeee0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1078aef70>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5040>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1078b50d0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5160>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1078b51f0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5280>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5310>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1078b53a0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5430>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5550>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1078b54c0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1078b55e0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5670>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5700>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5790>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5820>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1078b58b0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5940>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1078b59d0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5a60>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5af0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5b80>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5c10>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5ca0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5d30>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5dc0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5e50>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5ee0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1078b5f70>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8040>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1078b80d0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8160>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1078b81f0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8280>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8310>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1078b83a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8430>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1078b84c0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8550>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1078b85e0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8670>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8700>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8790>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8820>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1078b88b0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8940>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1078b89d0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8a60>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8af0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8b80>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8d30>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8c10>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8dc0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8e50>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8ee0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1078b8f70>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1078bc040>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1078bc160>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1078bc0d0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1078bc1f0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1078bc280>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1078bc310>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1078bc430>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1078bc3a0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1078bc4c0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1078bc550>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1078bc5e0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1078bc670>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1078bc700>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1078bc790>)]
name: str = 'fr_HOCCN'
